Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::QIOOParser Class Reference

`#include <QIOOParser.h>`

## Public Member Functions
| QIOOParser (const RVNGInputStreamPtr_t &input, librevenge::RVNGTextInterface *document=0)
void | parse ()

## Private Member Functions
| QIOOParser (const QIOOParser &other)
QIOOParser & | operator= (const QIOOParser &other)

## Private Attributes
RVNGInputStreamPtr_t | m_input
librevenge::RVNGTextInterface * | m_document

## Constructor & Destructor Documentation

## § QIOOParser() [1/2]

libebook::QIOOParser::QIOOParser | ( | const QIOOParser & | other | ) |
| private

## § QIOOParser() [2/2]

libebook::QIOOParser::QIOOParser | ( | const RVNGInputStreamPtr_t & | input,
|  | librevenge::RVNGTextInterface * | document = `0`
| ) |  |
| explicit

## Member Function Documentation

## § operator=()

QIOOParser& libebook::QIOOParser::operator= | ( | const QIOOParser & | other | ) |
| private

## § parse()

void libebook::QIOOParser::parse | ( |  | ) |

## Member Data Documentation

## § m_document

librevenge::RVNGTextInterface* libebook::QIOOParser::m_document
| private

Referenced by parse().

## § m_input

RVNGInputStreamPtr_t libebook::QIOOParser::m_input
| private

Referenced by parse(), and QIOOParser().

The documentation for this class was generated from the following files:

- QIOOParser.h
- QIOOParser.cpp